---
description: The API includes interactive documentation for both developers and non-developers to explore the API endpoints, view documentation for the API, and experiment with API calls. Built on Swagger UI, this interactive tool makes it easy for you to visualize, interact with, and test the APIs within a browser.
component: pingoneadvancedservices
page_id: pingoneadvancedservices:task_summary_table:p1as_platform_api_doc
canonical_url: https://docs.pingidentity.com/pingoneadvancedservices/task_summary_table/p1as_platform_api_doc.html
section_ids:
  using-the-api-interactive-documentation: Using the API interactive documentation
---

## Using the API interactive documentation

The API includes interactive documentation for both developers and non-developers to explore the API endpoints, view documentation for the API, and experiment with API calls. Built on Swagger UI, this interactive tool makes it easy for you to visualize, interact with, and test the APIs within a browser.

You can make API calls from an interactive user interface, custom applications, or from command line tools such as cURL.

To access the administrative API documentation:

1. Start a web browser.

2. Browse to the URL:

   ```
   https://self-service-api.<environment>-<customer>.<region>.ping.cloud/docs
   ```

   |   |                                                                                                                |
   | - | -------------------------------------------------------------------------------------------------------------- |
   |   | The API is also documented in the OpenAPI Specification, previously known as the Swagger Specification. Go to: |

   ```
   https://self-service-api.<environment>-<customer>.<region>.ping.cloud/api/v1/openapi.json
   ```

To test an administrative API:

1. Select a section of the administrative API you would like to explore. For example, **/hostnames**.

2. Expand the method you want to use. For example, **GET /hostnames**.

3. Enter required parameters, if any. For more information, see **Schema Models** under the selected API endpoint.

4. Click **Try it out**.

   |   |                                                                                                                                                                                      |
   | - | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
   |   | You will be prompted to sign on using an access token for OAuth authentication. The role assigned to the respective administrative accounts affects the access to the requested API. |

   If the request completes successfully, the administrative API returns the **Request URL**, the **Response Body**, the **Response Code**, and the **Response Headers**.
